package com.yihu.jw.entity.hospital.suggest;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by wj on 2020/0811.
 */
@Entity
@Table(name = "base_suggestion")
public class BaseSuggestionDO extends UuidIdentityEntityWithOperator {
    /**
     *建议类型id
     */
    @Column(name = "suggest_id")
    private String suggestId;
    /*
     *建议内容
     */
    @Column(name = "suggest_content")
    private String suggestContent;
    /**

     *上传图片地址
     */
    @Column(name = "suggest_img_url")
    private String suggestImgUrl;
    /**
     *填写建议的用户id
     */
    @Column(name = "suggest_user_id")
    private String suggestUserId;


    /**
     * 用户名
     */
    @Column(name = "suggest_user_name")
    private String  suggestUserName;
    /*
     *用户手机号
     */
    @Column(name = "suggest_user_phone")
    private String  suggestUserPhone;
    /*
     *删除标识 1正常 0删除
     */
    @Column(name = "is_del")
    private Integer  isDel;
    /*
     *状态图 1回复 0未回复
     */
    @Column(name = "suggest_status")
    private Integer  suggestStatus;
    /*
     *回复内容
     */
    @Column(name = "manager_res")
    private String  managerRes;
    /*
     *回复人id
     */
    @Column(name = "res_user")
    private String  resUser;
    /*
     *回复人名称
     */
    @Column(name = "res_user_name")
    private String  resUserName;
    /*
     *用户客户端
     */
    @Column(name = "user_client")
    private String  userClient;
    /*
     *建议名称
     */
    @Transient
    private String  suggestName;
    /*
     *用户类型
     */
    @Column(name = "user_type")
    private String  userType;

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }
    @Transient
    public String getSuggestName() {
        return suggestName;
    }

    public void setSuggestName(String suggestName) {
        this.suggestName = suggestName;
    }

    public Integer getSuggestStatus() {
        return suggestStatus;
    }

    public void setSuggestStatus(Integer suggestStatus) {
        this.suggestStatus = suggestStatus;
    }

    public String getManagerRes() {
        return managerRes;
    }

    public void setManagerRes(String managerRes) {
        this.managerRes = managerRes;
    }

    public String getResUser() {
        return resUser;
    }

    public void setResUser(String resUser) {
        this.resUser = resUser;
    }

    public String getResUserName() {
        return resUserName;
    }

    public void setResUserName(String resUserName) {
        this.resUserName = resUserName;
    }

    public String getUserClient() {
        return userClient;
    }

    public void setUserClient(String userClient) {
        this.userClient = userClient;
    }

    public String getSuggestId() {
        return suggestId;
    }

    public void setSuggestId(String suggestId) {
        this.suggestId = suggestId;
    }

    public String getSuggestContent() {
        return suggestContent;
    }

    public void setSuggestContent(String suggestContent) {
        this.suggestContent = suggestContent;
    }

    public String getSuggestImgUrl() {
        return suggestImgUrl;
    }

    public void setSuggestImgUrl(String suggestImgUrl) {
        this.suggestImgUrl = suggestImgUrl;
    }

    public String getSuggestUserId() {
        return suggestUserId;
    }

    public void setSuggestUserId(String suggestUserId) {
        this.suggestUserId = suggestUserId;
    }

    public String getSuggestUserName() {
        return suggestUserName;
    }

    public void setSuggestUserName(String suggestUserName) {
        this.suggestUserName = suggestUserName;
    }

    public String getSuggestUserPhone() {
        return suggestUserPhone;
    }

    public void setSuggestUserPhone(String suggestUserPhone) {
        this.suggestUserPhone = suggestUserPhone;
    }

    public Integer getIsDel() {
        return isDel;
    }

    public void setIsDel(Integer isDel) {
        this.isDel = isDel;
    }
}
